import graphicsclass, inputclass, gameclass, pygame, soundclass, menuclass
from constants import *

def main():
	pygame.mixer.pre_init(44100,-16, 2, 2048)
	graphics = graphicsclass.graphics()
	sounds = soundclass.Sound()
	inputs = inputclass.input()
	menu = menuclass.menu(graphics, inputs, sounds)
	
	notstarted = True	
	gamestate = GSMenu
	
	oldtime = 0

	while gamestate <> GSQuit:
	
		newtime = graphics.gettick()
		dt = (newtime - oldtime) / float(1000)
		oldtime = newtime


		#print dt
		
		inputs.update()
		
		if gamestate == GSMenu:
			gamestate = menu.go(GSMenu)
			
		if gamestate == GSEnd:
			gamestate = menu.go(GSEnd, maingame.money)
			notstarted = True
			
		if gamestate == GSMain:
			if notstarted == True:
				maingame = gameclass.maingame(graphics, inputs, sounds)
				notstarted = False
			gamestate = maingame.go(dt)
		
		graphics.finalise()
		
		if inputs.keys["exit"] == True:
			gamestate = GSQuit
		
		
