import graphicsclass, inputclass, shipclass, worldclass, math, soundclass
from verletropeclass import *
from constants import *

class menu:
	def __init__(self, graphics, inputs, sounds):
		self.graphics = graphics
		self.inputs = inputs
		self.sounds = sounds
		self.graphics.load('menu.bmp','menubg')
		self.graphics.load('help.bmp','help')
		self.sounds.load('select.wav','select')
		self.selected = 1
		self.state = 0
	def draw(self, money=-1):
		self.graphics.draw('menubg', (0,0))
		if self.state == 0:
			if self.selected == 1:
				self.graphics.write('big', 'Start Game', (halfwindowsize[0], halfwindowsize[1]+50), [255,0,0])
			else:
				self.graphics.write('big', 'Start Game', (halfwindowsize[0], halfwindowsize[1]+50), [255,255,255])
			if self.selected == 2:
				self.graphics.write('big', 'Help', (halfwindowsize[0], halfwindowsize[1]+100), [255,0,0])
			else:
				self.graphics.write('big', 'Help', (halfwindowsize[0], halfwindowsize[1]+100), [255,255,255])
			if self.selected ==3:
				self.graphics.write('big', 'Exit', (halfwindowsize[0], halfwindowsize[1]+150), [255,0,0])
			else:
				self.graphics.write('big', 'Exit', (halfwindowsize[0], halfwindowsize[1]+150), [255,255,255])
		if self.state == 1:
			self.graphics.draw('help', (0,768-415))
		if self.state == 2:
			self.graphics.write('big', 'You destroyed your ship!', (halfwindowsize[0], 360), [255,255,255])
			self.graphics.write('big', 'I\'m sorry, we\'re going to have to let you go.', (halfwindowsize[0], 400), [255,255,255])
			self.graphics.write('big', 'Game Over', (halfwindowsize[0], 480), [255,255,255])
			self.graphics.write('big', 'Your final score:', (halfwindowsize[0], 560), [255,255,255])			
			self.graphics.write('big', str(money), (halfwindowsize[0], 640), [255,255,255])
		
	def go(self, gs, money=-1):
		gamestate = gs

		if gamestate == GSEnd:
			self.state = 2
			
		if self.state == 0:
			if self.inputs.keys["down"] == True:
				self.selected += 1
				self.sounds.play('select')
				self.inputs.keys["down"] = False
			if self.inputs.keys["up"] == True:
				self.selected -= 1
				self.sounds.play('select')
				self.inputs.keys["up"] = False
			if self.selected < 1:
				self.selected = 1
			if self.selected > 3:
				self.selected = 3
			if self.inputs.keys["enter"] == True:
				if self.selected == 1: 
					gamestate = GSMain
				if self.selected == 2:
					self.state = 1
				if self.selected == 3:
					gamestate = GSQuit
				self.inputs.keys["enter"] = False
					
		if self.state == 1 or self.state == 2:
			if self.inputs.keys["enter"] == True:
				self.inputs.keys["enter"] = False
				self.state = 0
				gamestate = GSMenu
		
		self.draw(money)
				

		return gamestate
