import pygame, data, os
from constants import *

class Sound:
	def __init__(self):
		self.sounds = {}
		self.load('thrust.wav','thrust')
		self.setvol('thrust',0.05)
		self.load('explode.wav','explode')
		self.setvol('explode',0.4)
		self.load('drop.wav','drop')
		self.setvol('drop',0.4)
		self.load('hit.wav','hit')
		self.setvol('hit',0.1)
		self.load('pickup.wav','pickup')
		self.setvol('pickup',0.4)		
	def load(self, filename, soundname):
		self.sounds[soundname] = pygame.mixer.Sound(os.path.join(data_dir, filename))
		
		
	def play(self, soundname, loops=0):
		self.sounds[soundname].play(loops)
		
	def stop(self, soundname):
		self.sounds[soundname].stop()
		
	def setvol(self, soundname, vol):
		self.sounds[soundname].set_volume(vol)
	
